var Service = require('node-windows').Service;

// Create a new service object
var svc = new Service({
  name:'SearchBlox Analytics Service',
  description: 'SearchBlox Analytics as Windows Service',
  script: 'C:\\SearchBloxServer\\analytics\\index.js'
});

// Listen for the "install" event, which indicates the
// process is available as a service.
svc.on('install',function(){
  svc.start();
  console.log('Install complete.');
  console.log('The service exists: ',svc.exists);
});

svc.install();